Bug 1221213 - opensips won't start - undefined symbol: con_set_inslist
Summary: opensips won't start - undefined symbol: con_set_inslist
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opensips
Version: 22
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-13 13:51 UTC by Gergely Dömsödi
Modified: 2015-08-07 13:17 UTC (History)
2 users (show)

Fixed In Version: opensips-1.10.5-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-06 19:34:19 UTC


Attachments (Terms of Use)

Description Gergely Dömsödi 2015-05-13 13:51:16 UTC
Description of problem:

A default opensips installation won't start because some important modules can't be loaded dynamically (eg. dialog, usrloc). Tested on F22 beta, x86_64.

This makes opensips in fedora currently unusable.

Version-Release number of selected component (if applicable):

1.10.4-1.fc22

How reproducible:

Always

Steps to Reproduce:
1. Install opensips
2. execute opensips -c as root, to check config file (this tries to load included modules)
3.

Actual results:

root@buci:/etc/opensips# opensips -c
May 13 15:40:31 [17812] ERROR:core:sr_load_module: could not open module </usr/lib64/opensips/modules/usrloc.so>: /usr/lib64/opensips/modules/usrloc.so: undefined symbol: con_set_inslist

Expected results:

opensips -c can load its modules and config is ok

Additional info:

A few weeks ago opensips worked normally on this same system.

Comment 1 Gergely Dömsödi 2015-05-13 13:52:51 UTC
Probably broke when #1190820 was fixed?

Comment 2 Fedora Update System 2015-06-12 14:44:52 UTC
opensips-1.10.5-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/opensips-1.10.5-3.el7

Comment 3 Fedora Update System 2015-06-12 14:45:00 UTC
opensips-1.10.5-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/opensips-1.10.5-2.fc22

Comment 4 Fedora Update System 2015-06-12 14:45:09 UTC
opensips-1.10.5-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/opensips-1.10.5-2.fc21

Comment 5 Fedora Update System 2015-06-13 19:36:00 UTC
Package opensips-1.10.5-3.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing opensips-1.10.5-3.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6684/opensips-1.10.5-3.el7
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-08-06 19:34:19 UTC
opensips-1.10.5-3.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-08-07 13:07:04 UTC
opensips-1.10.5-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-08-07 13:17:16 UTC
opensips-1.10.5-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.